rte_dmadev_pmd.h(3)

NAME
rte_dmadev_pmd.h

SYNOPSIS

#include <dev_driver.h>
#include <rte_compat.h>
#include 'rte_dmadev.h'

  Data Structures

struct rte_dma_dev_ops

  Enumerations

enum rte_dma_dev_state { RTE_DMA_DEV_UNUSED = 0, RTE_DMA_DEV_REGISTERED, RTE_DMA_DEV_READY }

Detailed Description

DMA Device PMD interface

Driver facing interface for a DMA device. These are not to be called directly by any application.

Definition in file rte_dmadev_pmd.h.

Enumeration Type Documentation

  enum rte_dma_dev_state
Possible states of a DMA device.

See also
    struct rte_dma_dev::state

Enumerator

RTE_DMA_DEV_UNUSED
    Device is unused.

RTE_DMA_DEV_REGISTERED
    Device is registered, but not ready to be used.

RTE_DMA_DEV_READY
    Device is ready for use. This is set by the PMD.

Definition at line 142 of file rte_dmadev_pmd.h.

Author

Generated automatically by Doxygen for DPDK from the source code.